Subject: Re: linux-next: Tree for June 23

From: "Vegard Nossum" <[email-masked]>
Date: Mon, 23 Jun 2008 14:26:28 +0200

On Mon, Jun 23, 2008 at 1:02 PM, Vegard Nossum <[email-masked]> wrote:
> On Mon, Jun 23, 2008 at 12:26 PM, Vegard Nossum <[email-masked]> wrote:
>> On Mon, Jun 23, 2008 at 12:23 PM, Vegard Nossum <[email-masked]> wrote:
>>> Testing tracer sched_switch: PASSED
>>> Testing tracer sysprof: PASSED
>>> Testing tracer ftrace: PASSED
>>> Testing dynamic ftrace: PASSED
>>> Testing tracer irqsoff: PASSED
>>> Testing tracer preemptoff: PASSED
>>> Testing tracer preemptirqsoff: <4>------------[ cut here ]------------
>>> WARNING: at kernel/lockdep.c:2680 check_flags+0x142/0x160()
>>> Pid: 2, comm: kthreadd Not tainted 2.6.26-rc6-next-20080620 #34
>>
>> <-- Oops, wrong version :-(
>>
>> Will try the latest one as well.
>
> Okay, I can confirm that this happens with today's tree too. I also
> get this (new) warning:
>
> mm/slub.c: In function 'kmem_cache_defrag':
> mm/slub.c:3046: warning: 'reclaimed' may be used uninitialized in this function
>
> Otherwise things seem to work good :-)

In fact, I got this stacktrace when I shut down (but I was in a hurry
so I didn't have the time to really investigate it):

http://www.kernel.org/pub/linux/kernel/people/vegard/kernels/20080623-next/DSCF3014.JPG

$ addr2line -e vmlinux -i c01fd0c1
fs/sysfs/dir.c:380

And additionally, the next two boots hung here (but the third one was okay):

http://www.kernel.org/pub/linux/kernel/people/vegard/kernels/20080623-next/DSCF3015.JPG

I don't know what these issues are related too. I can try
debug_initcall for the hang.

Vegard

-- 
"The animistic metaphor of the bug that maliciously sneaked in while
the programmer was not looking is intellectually dishonest as it
disguises that the error is the programmer's own creation."
	-- E. W. Dijkstra, EWD1036